local OV = angelsmods.functions.OV

OV.global_replace_item('basic-circuit-board', 'pcb1')
OV.global_replace_item('solid-clay', 'clay')
OV.global_replace_item('phenolic-board','phenolicboard')
OV.global_replace_item('glass-fiber','angels-coil-glass-fiber')
OV.global_replace_item('fibreglass-board','fiberglass')
OV.global_replace_item('fertiliser','py-fertilizer')
OV.global_replace_item('solid-fertilizer','py-fertilizer')
OV.global_replace_item("benzene", "gas-benzene")
OV.global_replace_item('propene','gas-propene')
OV.global_replace_item('acetone','gas-acetone')
OV.global_replace_item('chloromethane','gas-chlor-methane')
OV.global_replace_item('methane','gas-methane')
OV.global_replace_item('methanal','gas-formaldehyde')
OV.global_replace_item('ammonia','gas-ammonia')
OV.global_replace_item('solid-clay','clay')
OV.global_replace_item('ech','gas-epichlorhydrin')


data.raw.resource["phosphate-rock"].minable.required_fluid = "gas-synthesis"

--fix tech replacement
table.insert(data.raw["technology"] ["angels-sulfur-processing-1"].effects, { type = "unlock-recipe", recipe = "nitrobenzene" })

if mods["bobelectronics"] then

OV.global_replace_item('wooden-board','fiberboard')
OV.global_replace_item('advanced-processing-unit','intelligent-unit')
OV.global_replace_item('multi-layer-circuit-board','pcb4')

end

if mods["bobmodules"] then

OV.global_replace_item('basic-electronic-components','resistor2')
OV.global_replace_item('processing-electronics','kondo-processor')
OV.global_replace_item('intergrated-electronics','microchip')
OV.global_replace_item('module-processor-board','pcb2')
OV.global_replace_item('module-processor-board-2','pcb3')
OV.global_replace_item('module-processor-board-3','pcb4')

end

if mods["angelsbioprocessing"] then
OV.global_replace_item('black-liquor','liquid-black-liquor')
OV.global_replace_item('acetic-acid','liquid-acetic-acid')
angelsmods.functions.make_converter("black-liquor","liquid-black-liquor")
angelsmods.functions.make_converter("acetic-acid","liquid-acetic-acid")
end

if mods["angelssmelting"] then
OV.patch_recipes(
	{
		{
			name = "angels-glass-fiber-board", 
			energy_required = 25,
			ingredients = 
			{
			{"!!"},
			{type = "item", name = "angels-coil-glass-fiber", amount = 5},
			{type = "item", name = "epoxy", amount = 7},
			{type = "item", name = "plastic-bar", amount = 3},
			{type = "fluid", name = "boric-acid", amount = 150},
			{type = "fluid", name = "steam", amount = 200}
			
			},
			results = 
			{
			{type = "item", name = "fiberglass", amount = 1},
			},
		}
	}
)
end


if mods["Clowns-Processing"] then
data:extend({
{
type = "recipe",
    name = "phosphoric-acid-1",
    category = "distilator",
    enabled = false,
    energy_required = 5,
    ingredients = {
        {type = "fluid", name = "phosphorous-acid", amount = 30},
        {type = "fluid", name = "steam", amount = 120, temperature = 165},
        {type = "item", name = "raw-wood", amount = 10},
    },
    results = {
        {type = "fluid", name = "phosphoric-acid", amount = 15},
		{type = "fluid", name = "phosphine-gas", amount = 15},
    },
    main_product = "phosphine-gas",
}
})
table.insert(data.raw["technology"] ["basic-electronics"].effects, {type = "unlock-recipe", recipe = "phosphoric-acid-1"})
OV.global_replace_item('phosphorus-ore','phosphate-rock')
OV.global_replace_item('liquid-phosphoric-acid','phosphoric-acid')
angelsmods.functions.make_converter("liquid-phosphoric-acid","phosphoric-acid")
end

--Fluid Converter Recipes
angelsmods.functions.make_converter("gas-benzene", "benzene")
angelsmods.functions.make_converter("gas-propene","propene")
angelsmods.functions.make_converter("chloromethane","gas-chlor-methane")
angelsmods.functions.make_converter("methane","gas-methane")
angelsmods.functions.make_converter("ammonia","gas-ammonia")
angelsmods.functions.make_converter("ech","gas-epichlorhydrin")
